#! /bin/bash

#
# Start/Stop flcd4 process
#


# Basic support for IRIX style chkconfig
###
# chkconfig: 2345 91 35 
# description: Manages the services needed to run flcd4
###


MASTER=/usr/local/3de4/bin/flcd4 
ARGS=""
PS="/bin/ps auwx"

case $1 in
'start')
    if [ -x $MASTER ]; then
        echo "Starting up 3DEqualizer flcd4"
        $MASTER $ARGS &
    else
        echo "$MASTER is not executable.  Skipping flcd4 startup."
        exit 1
    fi
    ;;

'stop')
    pid=`$PS | grep flcd4 | grep -v grep | awk '{print $2}'`
    if [ -n "$pid" ]; then 
        echo "Shutting down flcd4"
        kill -QUIT $pid
    else
        echo "flcd4 not running"
    fi	
    ;;

*)
    echo "Usage: flcd4 -help"
    ;;

esac


