#!/bin/bash
#
# Start/Stop flcd4 process

### BEGIN INIT INFO
# Provides:      flcd4 
# Required-Start: 
# Should-Start: 
# Required-Stop:
# Should-Stop:
# Default-Start:  2 3 4 5
# Default-Stop:
# Short-Description: 3DEqualizer flcd4
# Description:    3DEqualizer flcd4 license server
### END INIT INFO

MASTER=/usr/local/3de4/bin/flcd4 
ARGS=""
PS="/bin/ps auwx"

case $1 in
'start')
    if [ -x $MASTER ]; then
        echo "Starting up 3DEqualizer flcd4"
        $MASTER $ARGS &
    else
        echo "$MASTER is not executable.  Skipping flcd4 startup."
        exit 1
    fi
    ;;

'stop')
    pid=`$PS | grep flcd4 | grep -v grep | awk '{print $2}'`
    if [ -n "$pid" ]; then 
        echo "Shutting down flcd4"
        kill -QUIT $pid
    else
        echo "flcd4 not running"
    fi	
    ;;

*)
    echo "Usage: flcd4 -help"
    ;;

esac


